
QGIS Application - Bug report #18307

Crash when exiting shp layer without saving

2018-03-02 11:03 AM - Jonathan Robinson

Status: Closed

Priority: High

Assignee:

Category: Vectors

Affected QGIS version:3.0.0 Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:Yes Copied to github as #: 26198

Description

Editing a simple shp layer created in QGIS3 - adding and removing fields then tried to exit without saving.

Crash ID: 574913755101a95e164b8527919490ae16b57e54

Stack Trace

QgsField::QgsField :

QgsFields::operator[] :

QgsAttributeForm::updateJoinedFields :

QgsAttributeForm::onAttributeChanged :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsTextEditWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsTextEditWrapper::setWidgetValue :

QgsEditorWidgetWrapper::setFeature :

QgsAttributeForm::resetValues :

QgsAttributeForm::setFeature :

QgsDualView::mFeatureList_currentEditSelectionChanged :

QMetaObject::activate :

QgsFeatureListView::currentEditSelectionChanged :

QgsFeatureListView::editSelectionChanged :

QMetaObject::activate :

QItemSelectionModel::emitSelectionChanged :

QItemSelectionModel::select :

QItemSelectionModel::select :

QgsFeatureListView::ensureEditSelection :

QMetaObject::activate :

QAbstractItemModel::modelReset :

QMetaObject::activate :

QAbstractItemModel::endResetModel :

QSortFilterProxyModel::`default constructor closure' :

QMetaObject::activate :

QAbstractItemModel::endResetModel :

QgsAttributeTableModel::loadLayer :
QMetaObject::activate :

QMetaObject::activate :

QgsVectorLayer::updateFields :

QgsVectorLayerUndoCommandAddAttribute::undo :

QUndoCommand::undo :

QUndoStack::setIndex :

QgsVectorLayer::rollBack :

QgisApp::toggleEditing :

QgsAttributeTableDialog::mActionToggleEditing_toggled :

QMetaObject::activate :

QAction::setChecked :

QAction::activate :

QAbstractButton::click :

QAbstractButton::mouseReleaseEvent :

QToolButton::mouseReleaseEvent :

QWidget::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

DispatchMessageW :

NotifyWinEvent :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.0.0-Girona

QGIS code revision: 001c80b0c3

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.3

Running against GDAL: 2.2.3

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 6.3.9600
History

#1 - 2018-03-02 11:14 AM - Jonathan Robinson

Just tried to edit the shp layer again but this time QGIS crashed while I was deleting a field.

#2 - 2018-03-03 10:52 AM - Giovanni Manghi

- Regression? changed from No to Yes

- Status changed from Open to Feedback

- Priority changed from Normal to High

I cannot confirm it here. Can you add detailed steps here (i.e. where are you doing the structure edits, in vector properties or from the table of attributes?),

thanks.

#3 - 2018-03-06 11:49 AM - Nelson José Silva

No problems where with Win7

#4 - 2018-11-08 01:31 PM - Giovanni Manghi

Please try on QGIS 3.4.1, if the issue is still valid change the affected version, thanks.

#5 - 2018-12-28 12:14 PM - Paolo Cavallini

Could you please check again on current release?

Thanks.

#6 - 2019-01-14 11:55 PM - Nyall Dawson

- Resolution set to no timely feedback

- Status changed from Feedback to Closed
